using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WeifenLuo.WinFormsUI.Docking;
using GcDevicePc.CK_UI;
using GcDevicePc.Common;


namespace GcDevicePc
{
    public partial class Formdebug : Form
    {
        CurveDisPlay cuidisp = new CurveDisPlay();//显示波形
        DataState dataleft = new DataState();//状态显示
        
        public Formdebug()
        {
            InitializeComponent();
        }

        private void Formdebug_Load(object sender, EventArgs e) 
        {
            loadPanel();
        }
        private void loadPanel()  //加载界面
        {
            this.dockPanel1.Contains(cuidisp);
            cuidisp.Show(this.dockPanel1);
            cuidisp.CloseButtonVisible = false;
            dataleft.Show(this.dockPanel1,DockState.DockRight);
            dataleft.CloseButtonVisible = false;
            //dataleft.Close_Threading();
            //dataleft.Close();

        }

        public void CloseThread()
        {
            try
            {
                dataleft.Close_Threading();
            }
            catch (Exception e)
            {
                Log.Error(e.Message);
            }
        }
    }
}
